The latest service changes have not yet been reflected in this content. We will update the content as soon as possible. Please refer to the Korean version for information on the latest updates.
Available in VPC
Add a video file uploaded to an Object Storage bucket to a project.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| POST | /api/v1/workspaces/{workspace_name}/projects/{project_id}/video-assets/import/object-storage |
Request headers
For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.
Request path parameters
The following describes the parameters.
| Field | Type | Required | Description |
|---|---|---|---|
workspace_name |
String | Required | Workspace name |
project_id |
String | Required | Project ID
|
Request body
You can include the following data in the body of your request:
| Field | Type | Required | Description |
|---|---|---|---|
key |
String | Required | Full file name of the video uploaded to Object Storage
|
bucketName |
String | Required | Object Storage bucket name |
Request example
The request example is as follows:
curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/video-assets/import/object-storage' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
"key": "sample-video.mp4",
"bucketName": "my-storage-bucket"
}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
String | Required | API processing result code |
message |
String | Required | API processing result message |
result |
Object | Required | Video asset details |
result.videoId |
Integer | Required | Video asset ID |
result.createUserName |
String | Required | User name that registered the video asset |
result.createdTime |
String | Required | Video asset registration date and time
|
result.updateUserName |
String | Required | User name who last edited the video asset |
result.updatedTime |
String | Required | Video asset last modification date and time
|
Response example
The response example is as follows:
{
"code": "0",
"message": "success",
"result": {
"videoId": 1234,
"createUserName": "username",
"createdTime": "2025-04-23T16:49:23.885456721",
"updateUserName": "username",
"updatedTime": "2025-04-23T16:49:23.885456721"
}
}